Skip to content
Browse files

Merged pull request #136 from freerange/master.

Remove redundant 1.8 compatibilty
  • Loading branch information...
2 parents d3594f6 + 3d591b4 commit 82e31e971aa8d1a44e303f8f5cb7fa5527e637d5 @technoweenie technoweenie committed Apr 25, 2011
Showing with 3 additions and 8 deletions.
  1. +3 −2 gollum.gemspec
  2. +0 −3 lib/gollum.rb
  3. +0 −3 lib/gollum/ruby1.8.rb
View
5 gollum.gemspec
@@ -5,7 +5,7 @@ Gem::Specification.new do |s|
s.name = 'gollum'
s.version = '1.2.0'
- s.date = '2011-03-31'
+ s.date = '2011-04-15'
s.rubyforge_project = 'gollum'
s.summary = "A simple, Git-powered wiki."
@@ -697,6 +697,7 @@ Gem::Specification.new do |s|
lib/gollum/frontend/templates/history.mustache
lib/gollum/frontend/templates/layout.mustache
lib/gollum/frontend/templates/page.mustache
+ lib/gollum/frontend/templates/pages.mustache
lib/gollum/frontend/templates/search.mustache
lib/gollum/frontend/templates/searchbar.mustache
lib/gollum/frontend/views/compare.rb
@@ -707,12 +708,12 @@ Gem::Specification.new do |s|
lib/gollum/frontend/views/history.rb
lib/gollum/frontend/views/layout.rb
lib/gollum/frontend/views/page.rb
+ lib/gollum/frontend/views/pages.rb
lib/gollum/frontend/views/search.rb
lib/gollum/git_access.rb
lib/gollum/markup.rb
lib/gollum/page.rb
lib/gollum/pagination.rb
- lib/gollum/ruby1.8.rb
lib/gollum/sanitization.rb
lib/gollum/wiki.rb
templates/formatting.html
View
3 lib/gollum.rb
@@ -7,9 +7,6 @@
require 'github/markup'
require 'sanitize'
-# ruby 1.8 compatibility
-require 'gollum/ruby1.8'
-
# internal
require 'gollum/git_access'
require 'gollum/committer'
View
3 lib/gollum/ruby1.8.rb
@@ -1,3 +0,0 @@
-class String
- alias :lines :to_a if defined?(RUBY_VERSION) && RUBY_VERSION < '1.9'
-end

0 comments on commit 82e31e9

Please sign in to comment.
Something went wrong with that request. Please try again.